pandoc-3.7.0.2: Conversion between markup formats

Copyright | Copyright (C) 2012-2024 John MacFarlane
License | GNU GPL, version 2 or above
Maintainer | John MacFarlane <jgm@berkeley.edu>
Stability | alpha
Portability | portable
Safe Haskell | None
Language | Haskell2010

Text.Pandoc.PDF

Description

Conversion of LaTeX documents to PDF.

# Documentation

makePDF #

Arguments

:: (PandocMonad m, MonadIO m, MonadMask m) |
=> String | pdf creator (pdflatex, lualatex, xelatex, wkhtmltopdf, weasyprint, prince, context, pdfroff, pagedjs, or path to executable)
-> [String] | arguments to pass to pdf creator
-> (WriterOptions -> Pandoc -> m Text) | writer
-> WriterOptions | options
-> Pandoc | document
-> m (Either ByteString ByteString) |